Lightroom: Error changing modules in macOS High Sierra Public Beta

  • 1
  • Problem
  • Updated 10 months ago
  • Acknowledged
  • (Edited)
LR seems to have several problems running under the first High Sierra Public Beta (17A291m). Almost every second time it does not open catalogs but warns that it has not been able to "change modules" and starts completely empty. But it has not corrupted my catalogs yet ;-)
Photo of Kaffeesegler

Kaffeesegler

  • 39 Posts
  • 18 Reply Likes
  • amused

Posted 1 year ago

  • 1
Photo of Sunil Bhaskaran

Sunil Bhaskaran, Official Rep

  • 321 Posts
  • 111 Reply Likes
Thanks for the heads up.  :)
We are yet to extend support for High Sierra. We will let you know after we fix all those issues. 

Thanks,
Sunil
Photo of Kaffeesegler

Kaffeesegler

  • 39 Posts
  • 18 Reply Likes
Hoping for a quick LR beta :-)
Photo of Smit Keniya

Smit Keniya, Employee

  • 185 Posts
  • 88 Reply Likes
Hi,

Are you still facing these issues on Beta 4 (17A315i)?

Thanks,
Smit Keniya
Adobe Lightroom Team
Photo of Kaffeesegler

Kaffeesegler

  • 39 Posts
  • 18 Reply Likes
Works!
Photo of Smit Keniya

Smit Keniya, Employee

  • 185 Posts
  • 88 Reply Likes
Thanks for confirming it works well for you now! We were also not able to reproduce this on our end.
Photo of Kaffeesegler

Kaffeesegler

  • 39 Posts
  • 18 Reply Likes
Happend today again ... High Sierra beta 4, latest LR CC ...
Photo of Rick Baumhauer

Rick Baumhauer

  • 39 Posts
  • 22 Reply Likes
This is actually still going on - just encountered it last night with the release version of High Sierra and fully-updated Lightroom CC. Lightroom is now not keeping the list of known catalogs for selection at startup - only the last used is present, sometimes list is completely empty. No corruption thus far.
Photo of Kaffeesegler

Kaffeesegler

  • 39 Posts
  • 18 Reply Likes
Still have this problem again from time to time
Photo of Henrik Mjöberg

Henrik Mjöberg

  • 27 Posts
  • 2 Reply Likes
Indeed, the problem persits running macOS 10.13.1 and Lr Classic CC build 1142117. Here is another Family thread on the same subject and consider it as Not Solved.

You might rule out any syncing issues with Adobe cloud based file service, because I have no files in it and library to cloud syncing turned off.
(Edited)
Photo of Chris Wood

Chris Wood

  • 1 Post
  • 0 Reply Likes
having just upgraded my MacOS to High Sierra then trying to open Lightroom Classic CC (whatever the hell that's supposed to be) i am getting the "unable to change modules" message a few times but not always.  wish i had never changed to the CC.
Photo of Henrik Mjöberg

Henrik Mjöberg

  • 27 Posts
  • 2 Reply Likes
If you want to restore a previous version of Lightroom; you need a backup of your catalog to revert to as well, since the database is upgraded and not backwards compatible.
Photo of Rick Baumhauer

Rick Baumhauer

  • 39 Posts
  • 22 Reply Likes
I think you can also write all changes to XMP and rebuild the catalog from there - not ideal, but it seems to work. I did it to test if it would be possible to go to LR6 if I decided to discontinue my subscription to CC.
Photo of Rick Baumhauer

Rick Baumhauer

  • 39 Posts
  • 22 Reply Likes
Deleting the Nik Plugins from Lightroom seems to have cured this issue for me - I have a couple other ways to get to them, so while this is inconvenient, it's not crippling.